Uploaded image for project: 'FORTRESS'
  1. FORTRESS
  2. FC-296

Parameterize Default TLS Protocols

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 2.0.5
    • 2.0.6
    • None

    Description

      Currently the API includes TLSv1.3 into the set of allowed protocols. This causes problems with some environments.

      Don't include TLS 1.3 in default protocols used in fortress envs. It can be overridden as fortress.properties:

      ```
      tls.enabled.protocols=TLSv1
      tls.enabled.protocols=TLSv1.1
      tls.enabled.protocols=TLSv1.2
      ...
      ```

      Attachments

        Activity

          People

            smckinney Shawn McKinney
            smckinney Shawn McKinney
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: